# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pysqlite/pysqlite-1.0.1.ebuild,v 1.3 2005/05/27 21:08:31 weeve Exp $

inherit distutils

IUSE="doc"
DESCRIPTION="Python wrapper for the local database Sqlite"
#SRC_URI="mirror://sourceforge/pysqlite/pysqlite-${PV}.tar.gz"
SRC_URI="http://initd.org/pub/software/pysqlite/releases/1.1/1.1.6/pysqlite-${PV}.tar.gz"
HOMEPAGE="http://pysqlite.sourceforge.net/"
RESTRICT="nomirror"

KEYWORDS="~amd64 sparc x86"
LICENSE="pysqlite"
SLOT="0"

DEPEND="virtual/python
	=dev-db/sqlite-3*"

src_unpack() {
	unpack ${A}
	# distutils expects to find setup.py in ${S}
	mv ${WORKDIR}/pysqlite ${S}
	#sed -i -e "s:data_files = data_files,:data_files = [],:" ${S}/setup.py
}

src_install() {
	distutils_src_install
	# Need to do the examples explicitly since dodoc
	# doesn't do directories properly
	if use doc ; then
		cp -r ${S}/doc/*.{html,txt,css} ${D}/usr/share/doc/${PF} || die
		dodir /usr/share/doc/${PF}/code || die
		cp -r ${S}/doc/code/* ${D}/usr/share/doc/${PF}/code	|| die
	fi
}
